Get rows in a report
curl --request POST \
--url https://api.riskportal.activeviam.com/api/ReportQueryViewUser/GetRows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"pnl_lookback": "daily"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/ReportQueryViewUser/GetRows"
payload = { "pnl_lookback": "daily" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({pnl_lookback: 'daily'})
};
fetch('https://api.riskportal.activeviam.com/api/ReportQueryViewUser/GetRows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/ReportQueryViewUser/GetRows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pnl_lookback' => 'daily'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/ReportQueryViewUser/GetRows"
payload := strings.NewReader("{\n \"pnl_lookback\": \"daily\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/ReportQueryViewUser/GetRows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"pnl_lookback\": \"daily\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/ReportQueryViewUser/GetRows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"pnl_lookback\": \"daily\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
"",
""
],
"last_row": 0
}Get rows in a report
POST
/
api
/
ReportQueryViewUser
/
GetRows
Get rows in a report
curl --request POST \
--url https://api.riskportal.activeviam.com/api/ReportQueryViewUser/GetRows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"pnl_lookback": "daily"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/ReportQueryViewUser/GetRows"
payload = { "pnl_lookback": "daily" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({pnl_lookback: 'daily'})
};
fetch('https://api.riskportal.activeviam.com/api/ReportQueryViewUser/GetRows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/ReportQueryViewUser/GetRows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pnl_lookback' => 'daily'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/ReportQueryViewUser/GetRows"
payload := strings.NewReader("{\n \"pnl_lookback\": \"daily\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/ReportQueryViewUser/GetRows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"pnl_lookback\": \"daily\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/ReportQueryViewUser/GetRows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"pnl_lookback\": \"daily\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
"",
""
],
"last_row": 0
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Available options:
Derivitec.Web.Core.ReportQuery.ApiGetLatestAgGridRowsRequest, Derivitec.Web.Core Available options:
derivitec, enfusion, not_set Available options:
daily, month_to_date, quarter_to_date, year_to_date, annual Show child attributes
Show child attributes
Example:
{
"value_cols": [
{
"agg_func": "agg_func",
"field": "field",
"id": "id",
"display_name": "display_name"
},
{
"agg_func": "agg_func",
"field": "field",
"id": "id",
"display_name": "display_name"
}
],
"filter_model": [
{
"field": "field",
"filter_type": "filter_type"
},
{
"field": "field",
"filter_type": "filter_type"
}
],
"start_row": 0,
"row_group_cols": [
{
"agg_func": "agg_func",
"field": "field",
"id": "id",
"display_name": "display_name"
},
{
"agg_func": "agg_func",
"field": "field",
"id": "id",
"display_name": "display_name"
}
],
"group_keys": ["group_keys", "group_keys"],
"sort_model": [
{ "col_id": "col_id", "sort": "sort" },
{ "col_id": "col_id", "sort": "sort" }
],
"end_row": 6
}
Was this page helpful?